#pragma once
#include "ClassEnums.h"

#include "HealthSegmentStruct.generated.h"

USTRUCT(BlueprintType)
struct FHealthSegment : public FTableRowBase
{
	GENERATED_BODY()

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Health Segments")
	ClassNames Class = ClassNames::Basic;
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Health Segments")
	TArray<int> SegmentList;
	
};